#-----------------------------------------------------------------------------
#
#   PyWeek 10 - Shell
#
#-----------------------------------------------------------------------------

from albow.dialogs import alert
from humerus.hshell import HShell
#from humerus.main_commands import MainCommandScreen
from main_menu_screen import MainMenuScreen
from about_screen import AboutScreen
from play_screen import PlayScreen
from win_screen import WinScreen

class PW10Shell(HShell):

	game_title = "Wobbleigh Towers"

	def __init__(self, *args, **kwds):
		HShell.__init__(self, *args, **kwds)
		self.main_menu_screen = MainMenuScreen(self, with_menu = True)
		self.play_screen = PlayScreen(self)
		self.about_screen = AboutScreen(self)
		self.intro_screen = self.about_screen
		self.win_screen = WinScreen(self)
		self.show_main_menu_screen()

	def game_completed(self, result):
		#alert("Structural integrity restored. Well done!")
		self.show_screen(self.win_screen)

	def defer_drawing(self):
		result = self.current_screen is self.play_screen
		#print "PW10Shell: defer_drawing:", result
		return result
